/**
 * @file		terrain_export.h
 * @date		23/08/2022
 * @author		JackCarterSmith
 * @copyright	GPL-v3.0
 * @brief		Export datas to heightmap PNG and Waveform OBJ format.
 *
 */

#ifndef TERRAIN_EXPORT_H_
#define TERRAIN_EXPORT_H_

unsigned char exportHeightmapPNG(const T_RSPTERRAIN_HEIGHTMAP* heightmap, const char* out_path, T_PROG_OPTIONS* p_opts);
unsigned char exportHeightmapOBJ(const T_RSPTERRAIN_MESH* terrain_mesh, const char *out_path, T_PROG_OPTIONS* p_opts);

#endif /* TERRAIN_EXPORT_H_ */
