/**
 * @file		data_builders.h
 * @date		23/08/2022
 * @author		JackCarterSmith
 * @copyright	GPL-v3.0
 * @brief		Construct converted datas structure from extracted raw HMP.
 *
 */

#include "RSPTerrain_datatypes.h"

#ifndef RSPTERRAINLIB_DATA_BUILDERS_H_
#define RSPTERRAINLIB_DATA_BUILDERS_H_

unsigned short RSP_TerrainLib_ConstructHeightmap(T_RSPTERRAIN_HEIGHTMAP*, const T_RSPTERRAIN_HMP*);
unsigned short RSP_TerrainLib_ConstructMesh(T_RSPTERRAIN_MESH*, const T_RSPTERRAIN_HMP*, const float);

#endif /* RSPTERRAINLIB_DATA_BUILDERS_H_ */
